petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISAllGatherColors

Given a a set of colors on each processor, generates a large set (same on each processor) by concatenating together each processors colors

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISAllGatherColors(MPI_Comm comm,PetscInt n,ISColoringValue *lindices,PetscInt *outN,ISColoringValue *outindices[])

Collective on MPI_Comm

### Input Parameter

| comm | - communicator to share the indices
| n | - local size of set
| lindices | - local colors

### Output Parameter

| outN | - total number of indices
| outindices | - all of the colors

### Notes

ISAllGatherColors() is clearly not scalable for large index sets.

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlock(), ISAllGather()

### Level

intermediate

### Location

src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages